package org.develop.officialjournal.services;

import java.sql.Connection;

import dao.connection.Connector;
import dao.lucene.tables.DAOEntity;
import dao.lucene.tables.DAOJudge;
import dao.lucene.tables.DAOLawyer;
import dao.lucene.tables.DAOProcess;


public class Database {

	private DAOSearch daoSearch;
	private DAOLawyer daoLawyer;
	private DAOEntity daoEntity;
	private DAOJudge daoJudge;
	private DAOProcess daoProcess;
	private static Database database;

	public Database() {

	
		daoEntity = DAOEntity.getInstance();
		daoJudge = DAOJudge.getInstance();
		daoLawyer = DAOLawyer.getInstance();
		daoProcess = DAOProcess.getInstance();
		daoSearch = DAOSearch.getInstance();
		
		
	}
	
	public DAOSearch getDaoSearch() {
		return daoSearch;
	}

	public DAOLawyer getDaoLawyer() {
		return daoLawyer;
	}

	public DAOEntity getDaoEntity() {
		return daoEntity;
	}

	public DAOJudge getDaoJudge() {
		return daoJudge;
	}

	public DAOProcess getDaoProcess() {
		return daoProcess;
	}

	
	
	
	public static Database get()
	{
		if(database == null)
			database = new Database();
		
		return database;
		
	}
	
	

	

}